Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596416 - GParted fails to shrink an LVM PV with lvm2 >= 2.02.171
Summary: GParted fails to shrink an LVM PV with lvm2 >= 2.02.171
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 22:12 UTC by Mike Fleetwood
Modified: 2018-07-19 17:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Fix LVM2 PV shrinking with lvm2 2.02.171 and later (deleted)
2018-06-28 22:12 UTC, Mike Fleetwood
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/gparted#1 None None None 2018-06-28 22:12:13 UTC

Description Mike Fleetwood 2018-06-28 22:12:14 UTC
Created attachment 1455405 [details]
Fix LVM2 PV shrinking with lvm2 2.02.171 and later

Description of problem:
GParted fails to shrink an LVM2 PV with lvm2 >= 2.02.171


Version-Release number of selected component (if applicable):
Confirmed to affect the following configurations:
CentOS 7 (EPEL) with lvm2-2.02.177 and gparted-0.19.1
Fedora 27 with lvm2-2.02.175 and gparted-0.31.0
Fedora 28 with lvm2-2.02.177 and gparted-0.31.0


How reproducible:
Always


Steps to Reproduce:
1. Attempt to shrink an LVM2 PV using GParted.
2.
3.

Actual results:
GParted fails to shrink the LVM2 PV reporting this.

# lvm pvresize -v --setphysicalvolumesize 786432K '/dev/sda9'
0 physical volume(s) resized / 1 physical volume(s) not resized

Wiping internal VG cache
Wiping cache of LVM-capable devices
/dev/sda9: Requested size 712.00 MiB is less than real size 1.00 GiB.  Proceed? [y/n]:[n]
Physical Volume /dev/sda9 not resized.


Expected results:
GParted successfully shrinks the LVM2 PV.


Additional info:

Issue #1 - Can't shrink LVM partition due to pvresize prompt
https://gitlab.gnome.org/GNOME/gparted/issues/1

Bug 1460577 - regression: lvm2 pvresize command suddenly became interactive, breaking automated usage
https://bugzilla.redhat.com/show_bug.cgi?id=1460577

Attached is the upstream patch to workaround the change in pvresize.
Patch applies to gparted >= 0.14.0.

Comment 1 Mukundan Ragavan 2018-06-29 00:43:40 UTC
Thanks for the report Mike. I will push this.

On a related note, I am also thinking about bringing EPEL7 gparted up-to-date with Fedora. Any reason to not to do that?

Comment 2 Mike Fleetwood 2018-06-29 14:44:24 UTC
Hi Mukundan,

Yes please do update EPEL7 with the latest GParted code.  Doing the
same for EPEL6 would be nice too.  Latest GParted builds, installs and
runs on both.  I'll get to raising a separate bug request to track this
in a bit.

By the way have you seen my pull request, for the master branch and
applicable to Fedora 27 & 28.
  Remove obsolete fedora polkit files and edit to the desktop file
  https://src.fedoraproject.org/rpms/gparted/pull-request/1

Thanks,
Mike Fleetwood

Comment 3 Mukundan Ragavan 2018-06-30 21:05:48 UTC
Yes. I just saw the pull request. Makes my life simpler. I will push this out.

Thanks!

Comment 4 Fedora Update System 2018-07-09 02:05:50 UTC
gparted-0.31.0-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-091556e40f

Comment 5 Fedora Update System 2018-07-09 02:05:57 UTC
gparted-0.31.0-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dc08b9f56a

Comment 6 Fedora Update System 2018-07-11 19:16:35 UTC
gparted-0.31.0-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-dc08b9f56a

Comment 7 Fedora Update System 2018-07-11 23:40:14 UTC
gparted-0.31.0-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-091556e40f

Comment 8 Fedora Update System 2018-07-15 03:33:06 UTC
gparted-0.31.0-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-07-19 17:47:01 UTC
gparted-0.31.0-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.